Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.interview
Class DefaultInterviewParameters

    java.lang.Object
      com.sun.interview.Interview
          com.sun.javatest.InterviewParameters
              com.sun.javatest.interview.BasicInterviewParameters
                  com.sun.javatest.interview.DefaultInterviewParameters

All Implemented Interfaces:
  Parameters

Direct Known Subclasses:
  SimpleInterviewParameters

Deprecated. Use BasicInterviewParameters

    public abstract class DefaultInterviewParameters

extends BasicInterviewParameters

A basic implementation of InterviewParameters that uses standard interviews for all the various interview sections, except the environment section, which remains to be implemented by subtypes.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.InterviewParameters
`InterviewParameters.JTIFault, InterviewParameters.TemplateManager, InterviewParameters.TestSuiteFault, InterviewParameters.WorkDirFault`

Nested classes/interfaces inherited from class com.sun.interview.Interview
`Interview.BadHelpFault, Interview.Fault, Interview.HelpNotFoundFault, Interview.NotOnPathFault, Interview.Observer`

Nested classes/interfaces inherited from interface com.sun.javatest.Parameters
`Parameters.ConcurrencyParameters, Parameters.EnvParameters, Parameters.ExcludeListParameters, Parameters.KeywordsParameters, Parameters.LegacyEnvParameters, Parameters.MutableConcurrencyParameters, Parameters.MutableExcludeListParameters, Parameters.MutableKeywordsParameters, Parameters.MutablePriorStatusParameters, Parameters.MutableTestsParameters, Parameters.MutableTimeoutFactorParameters, Parameters.PriorStatusParameters, Parameters.TestsParameters, Parameters.TimeoutFactorParameters`

Field Summary

Fields inherited from class com.sun.javatest.interview.BasicInterviewParameters
`iTests`

Fields inherited from class com.sun.javatest.InterviewParameters
`kflFiles`

Fields inherited from class com.sun.interview.Interview
`CHECKSUM, EXPORT_IGNORE_ALL_EXCEPTIONS, EXPORT_IGNORE_NO_EXCEPTIONS, EXPORT_IGNORE_RUNTIME_EXCEPTIONS, EXTERNAL_PREF, INTERVIEW, LOCALE, MARKERS, MARKERS_PREF, QUESTION, SEMANTIC_MAX_VERSION, SEMANTIC_PRE_32, SEMANTIC_VERSION_32, SEMANTIC_VERSION_43, TEMPLATE_PREF`

Constructor Summary
`protected` | `DefaultInterviewParameters(java.lang.String tag)` Deprecated. Create a BasicInterviewParameters object.
`protected` | `DefaultInterviewParameters(java.lang.String tag, TestSuite ts)` Deprecated. Create a BasicInterviewParameters object.

Method Summary

Methods inherited from class com.sun.javatest.interview.BasicInterviewParameters
`createTestsInterview, getConcurrencyFirstQuestion, getConcurrencyParameters, getDescription, getEpilogFirstQuestion, getExcludeListFirstQuestion, getExcludeListParameters, getExcludeListSuccessorQuestion, getKeywordsFirstQuestion, getKeywordsParameters, getKflFirstQuestion, getKflSuccessorQuestion, getKnownFailureFiles, getKnownFailuresList, getName, getPriorStatusFirstQuestion, getPriorStatusParameters, getTestsFirstQuestion, getTestsParameters, getTestSuite, getTimeoutFactorFirstQuestion, getTimeoutFactorParameters, getWorkDirectory, isNameAndDescriptionInPrologEnabled, setKnownFailureFiles, setNameAndDescriptionInPrologEnabled, setTestSuite, setWorkDirectory`

Methods inherited from class com.sun.javatest.InterviewParameters
`checkForUpdates, clear, dispose, getBackupPolicy, getConcurrency, getConcurrencySuccessorQuestion, getEnv, getEnvFirstQuestion, getEnvSuccessorQuestion, getErrorMessage, getExcludeList, getExcludeListFilter, getExcludeTableFilter, getExcludeTableFirstQuestion, getExcludeTableSuccessorQuestion, getFile, getFilters, getKeywords, getKeywordsFilter, getKeywordsSuccessorQuestion, getMarkersEnabled, getMarkersFilterEnabled, getPriorStatusFilter, getPriorStatusSuccessorQuestion, getPriorStatusValues, getPrologSuccessorQuestion, getPropagationController, getRelevantTestFilter, getTemplateManger, getTemplatePath, getTests, getTestsSuccessorQuestion, getTimeoutFactor, getTimeoutFactorSuccessorQuestion, init, isAutoUpdatableKey, isAutoUpdatableKey, isFileLoaded, isFileNewer, isInterviewFile, isTemplate, isUpdatableKey, isValid, load, load, load, load, load, open, open, open, open, open, save, save, save, save, saveAs, saveAs, saveAs, setBackupPolicy, setFile, setMarkersEnabled, setMarkersFilterEnabled, setPropagationController, setTemplate, setTemplateManger, setTemplatePath`

Methods inherited from class com.sun.interview.Interview
`addObserver, callInterview, clearMarkedResponses, containsObserver, createChecklist, createChecklistItem, createChecklistItem, createChecklistItem, export, getAllQuestions, getCurrentQuestion, getDefaultImage, getExportIgnoreExceptionPolicy, getExternalProperties, getFirstQuestion, getHelpSet, getInterview, getInterviewSemantics, getParent, getPath, getPathToCurrent, getPropertyKeys, getQuestions, getRawPath, getResourceBundle, getResourceString, getResourceString, getRoot, getTag, getTitle, hasNext, hasValidNext, isChecklistEmpty, isChecksumValid, isEdited, isFinishable, isFirst, isInterviewFinishable, isLast, isRoot, isStarted, iteratePath, iteratePathToCurrent, last, load, next, pathContains, pathContains, prev, propagateTemplateForAll, readLocale, removeAllMarkers, removeMarkers, removeObserver, reset, retrieveProperty, retrieveTemplateKeys, retrieveTemplateProperty, setBaseTag, setCurrentQuestion, setDefaultImage, setEdited, setExportIgnoreExceptionPolicy, setFirstQuestion, setHelpSet, setHelpSet, setHelpSet, setInterviewSemantics, setResourceBundle, setResourceBundle, setTitle, storeProperty, storeTemplateProperties, storeTemplateProperty, updatePath, updatePath, verifyPathContains, writeLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.javatest.Parameters
`getEnvParameters`

Constructor Detail

### DefaultInterviewParameters

    protected DefaultInterviewParameters(java.lang.String tag)
                                  throws Interview.Fault

  Deprecated.
  Create a BasicInterviewParameters object. The test suite for which this interview applies should be set with setTestSuite.

  Parameters:
    `tag` - the tag used to qualify questions in this interview
  Throws:
    `Interview.Fault` - if there is a problem creating this object

### DefaultInterviewParameters

    protected DefaultInterviewParameters(java.lang.String tag,
                                         TestSuite ts)
                                  throws Interview.Fault

  Deprecated.
  Create a BasicInterviewParameters object.

  Parameters:
    `tag` - the tag used to qualify questions in this interview
    `ts` - The test suite to which this interview applies.
  Throws:
    `Interview.Fault` - if there is a problem creating this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.